Creates a new mailbox configuration, encrypting credentials before storage.
curl --request POST \
--url https://{install}/api/mail/mailbox \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"connectionType": 123,
"server": "<string>",
"port": 123,
"inboxFolder": "<string>",
"categoryProcessed": "<string>",
"categorySkipped": "<string>",
"imapUsername": "<string>",
"imapPassword": "<string>",
"imapSmtpServer": "<string>",
"imapSmtpPort": 123,
"microsoftEmailAddress": "<string>",
"microsoftOAuthTenantId": "<string>",
"microsoftOAuthClientId": "<string>",
"microsoftOAuthClientSecret": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'import requests
url = "https://{install}/api/mail/mailbox"
payload = {
"entity": "<string>",
"name": "<string>",
"connectionType": 123,
"server": "<string>",
"port": 123,
"inboxFolder": "<string>",
"categoryProcessed": "<string>",
"categorySkipped": "<string>",
"imapUsername": "<string>",
"imapPassword": "<string>",
"imapSmtpServer": "<string>",
"imapSmtpPort": 123,
"microsoftEmailAddress": "<string>",
"microsoftOAuthTenantId": "<string>",
"microsoftOAuthClientId": "<string>",
"microsoftOAuthClientSecret": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: '<string>',
name: '<string>',
connectionType: 123,
server: '<string>',
port: 123,
inboxFolder: '<string>',
categoryProcessed: '<string>',
categorySkipped: '<string>',
imapUsername: '<string>',
imapPassword: '<string>',
imapSmtpServer: '<string>',
imapSmtpPort: 123,
microsoftEmailAddress: '<string>',
microsoftOAuthTenantId: '<string>',
microsoftOAuthClientId: '<string>',
microsoftOAuthClientSecret: '<string>',
tenantId: '<string>',
id: '<string>',
created: '2023-11-07T05:31:56Z',
createdBy: '<string>',
updated: '2023-11-07T05:31:56Z',
updatedBy: '<string>',
deleted: true
})
};
fetch('https://{install}/api/mail/mailbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/mail/mailbox");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"entity\": \"<string>\",\n \"name\": \"<string>\",\n \"connectionType\": 123,\n \"server\": \"<string>\",\n \"port\": 123,\n \"inboxFolder\": \"<string>\",\n \"categoryProcessed\": \"<string>\",\n \"categorySkipped\": \"<string>\",\n \"imapUsername\": \"<string>\",\n \"imapPassword\": \"<string>\",\n \"imapSmtpServer\": \"<string>\",\n \"imapSmtpPort\": 123,\n \"microsoftEmailAddress\": \"<string>\",\n \"microsoftOAuthTenantId\": \"<string>\",\n \"microsoftOAuthClientId\": \"<string>\",\n \"microsoftOAuthClientSecret\": \"<string>\",\n \"tenantId\": \"<string>\",\n \"id\": \"<string>\",\n \"created\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": \"<string>\",\n \"updated\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"deleted\": true\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
Mailbox
Creates a new mailbox configuration, encrypting credentials before storage.
POST
/
api
/
mail
/
mailbox
Creates a new mailbox configuration, encrypting credentials before storage.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The mailbox configuration to create with plaintext credentials.
Response
Mailbox created successfully.
Lists all mailbox configurations with decrypted credentials.
Previous
Deletes a mailbox configuration by identifier.
Next
⌘I